- [HTTP request](https://docs.cloud.google.com/gemini/data-agents/reference/rest/v1/projects.locations.dataAgents/listAccessible.md.txt#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/gemini/data-agents/reference/rest/v1/projects.locations.dataAgents/listAccessible.md.txt#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/gemini/data-agents/reference/rest/v1/projects.locations.dataAgents/listAccessible.md.txt#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/gemini/data-agents/reference/rest/v1/projects.locations.dataAgents/listAccessible.md.txt#body.request_body)
- [Response body](https://docs.cloud.google.com/gemini/data-agents/reference/rest/v1/projects.locations.dataAgents/listAccessible.md.txt#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/gemini/data-agents/reference/rest/v1/projects.locations.dataAgents/listAccessible.md.txt#body.ListAccessibleDataAgentsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/gemini/data-agents/reference/rest/v1/projects.locations.dataAgents/listAccessible.md.txt#body.aspect)
- [CreatorFilter](https://docs.cloud.google.com/gemini/data-agents/reference/rest/v1/projects.locations.dataAgents/listAccessible.md.txt#CreatorFilter)

Lists DataAgents that are accessible to the caller in a given project and location.

### HTTP request

`GET https://geminidataanalytics.googleapis.com/v1/{parent=projects/*/locations/*}/dataAgents:listAccessible`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Parent value for ListAccessibleDataAgentsRequest. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. Server may return fewer items than requested. If unspecified, server will pick an appropriate default. |
| `pageToken` | `string` Optional. A page token, received from a previous `dataAgents.listAccessible` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `dataAgents.listAccessible` must match the call that provided the page token. The service may return fewer than this value. |
| `filter` | `string` Optional. Filtering results. See [AIP-160](https://google.aip.dev/160) for syntax. |
| `orderBy` | `string` Optional. User specification for how to order the results. |
| `showDeleted` | `boolean` Optional. If true, the list results will include soft-deleted DataAgents. Defaults to false. |
| `creatorFilter` | ``enum (`CreatorFilter`)`` Optional. Filter for the creator of the agent. |

### Request body

The request body must be empty.

### Response body

Message for response to listing accessible DataAgents.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "dataAgents": [ { object (`DataAgent`) } ], "nextPageToken": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `dataAgents[]` | ``object (`DataAgent`)`` The list of accessible DataAgent. |
| `nextPageToken` | `string` The next page token or empty if none. |
| `unreachable[]` | `string` Unordered list. Locations that could not be reached. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication.md.txt#authorization-gcp).

## CreatorFilter

Filter for the creator of the agent.

| Enums ||
|---|---|
| `CREATOR_FILTER_UNSPECIFIED` | Default value. |
| `NONE` | No creator-specific filter will be applied. All agents will be returned. |
| `CREATOR_ONLY` | Only agents created by the user calling the API will be returned. |
| `NOT_CREATOR_ONLY` | Only agents not created by the user calling the API will be returned. |